Subject: [Idr] Update to RFC7752 to address comments/discussions in IDR WG

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 25 Mar 2019 08:28:25 +0000

Hello All,

There have been several discussions on the mailing list, in past WG meetings and in offline discussions about the need to clarify certain aspects of BGP-LS. Some of these feedback/issues have been about TLV handling, fault management, growing BGP-LS attribute, session isolation, etc.

Some of the points that have come up for discussions during review of BGP-LS extension drafts seem not specific to those extensions but aspects that need addressing in the base BGP-LS specification itself.

Based on the feedback received from the chairs and also Alvaro (RTG AD), we are proposing an update to RFC7752 to address some of these issues raised as also other aspects that we've learnt based on implementation and deployment.

This topic would be likely presented in the IDR WG session later today. My apologies for the delay in sharing this draft for review with the WG before the cut-off. I hope it serves as a basis for us to discuss in the meeting, on the mailer as well as in person in Prague.

The Appendix includes a high-level overview of the changes since RFC7752 and I am also attaching a diff of this draft from RFC7752.

Thanks,
Ketan

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 25 March 2019 09:13
To: Adrian Farrel <[email-masked]>; Jan Medved (jmedved) <[email-masked]>; Saikat Ray <[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>; Hannes Gredler <[email-masked]>; Stefano Previdi <[email-masked]>
Subject: New Version Notification for draft-ketant-idr-rfc7752bis-00.txt

A new version of I-D, draft-ketant-idr-rfc7752bis-00.txt
has been successfully submitted by Ketan Talaulikar and posted to the IETF repository.

Name:		draft-ketant-idr-rfc7752bis
Revision:	00
Title:		Distribution of Link-State and Traffic Engineering Information Using BGP
Document date:	2019-03-25
Group:		Individual Submission
Pages:		58
URL:            https://www.ietf.org/internet-drafts/draft-ketant-idr-rfc7752bis-00.txt
Status:         https://datatracker.ietf.org/doc/draft-ketant-idr-rfc7752bis/
Htmlized:       https://tools.ietf.org/html/draft-ketant-idr-rfc7752bis-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ketant-idr-rfc7752bis

Abstract:
   In a number of environments, a component external to a network is
   called upon to perform computations based on the network topology and
   current state of the connections within the network, including
   Traffic Engineering (TE) information.  This is information typically
   distributed by IGP routing protocols within the network.

   This document describes a mechanism by which link-state and TE
   information can be collected from networks and shared with external
   components using the BGP routing protocol.  This is achieved using a
   new BGP Network Layer Reachability Information (NLRI) encoding
   format.  The mechanism is applicable to physical and virtual IGP
   links.  The mechanism described is subject to policy control.

   Applications of this technique include Application-Layer Traffic
   Optimization (ALTO) servers and Path Computation Elements (PCEs).

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat